function K=kernel(X,Y,type,par1,coef)

% K=kernel(X,Y,type,par1)
%   type: 'polynomial' or 'gaussian'
%   par1: parameter for kernel

if strcmp(type,'polynomial'),
    K=((X'*Y)+coef).^par1;
elseif strcmp(type,'gaussian'),
    [X2,Y2]=meshgrid(sum(Y.^2),sum(X.^2));
    K=exp(-(X2+Y2-2*X'*Y)/(2*mpower(par1,2)));
end
